Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{tenant_id}.api.useago.com/api/v1/simulation/personas \ --header 'X-API-Key: <api-key>'
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/simulation/personas"headers = {"X-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/personas', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "id": "<string>", "name": "<string>", "object": "simulation_persona", "description": "<string>", "role": "<string>", "behavior_notes": "<string>", "agent_id": "<string>", "agent_name": "<string>", "custom_llm_temperature": 123, "enabled_tool_ids": [ "<string>" ], "user_overrides": {}, "created_at": "<string>", "updated_at": "<string>" } ], "has_more": true, "total": 123, "object": "list" }
List all simulation personas.
OK
Paginated list response for simulation personas.
Show child attributes